<template lang="pug">
  div
    v-layout(row wrap)
      v-flex(xs12 sm12 md12)
        p.b-content__title-section Выберите диапазон дат:

    v-layout(row wrap justify-space-between)
      v-flex(xs12 sm6 md6 d-flex)
        date-picker(
          v-model="dateBegin"
          label="Дата начала"
        )

      v-flex(xs12 sm6 md6 d-flex)
        date-picker(
          v-model="dateEnd"
          label="Дата конца"
        )
</template>

<script>
import moment from 'moment';
import { required } from 'vuelidate/lib/validators';
import DatePicker from '../datepicker/index.vue';

export default {
  name: 'DateToFrom',
  components: {
    DatePicker,
  },
  data() {
    return {
      dateBegin: '',
      dateEnd: '',
    };
  },
  validations: {
    dateBegin: { required },
    dateEnd: { required },
  },
  watch: {
    dateBegin(value) {
      this.$v.dateBegin.$touch();
      const dateStr = {
        startDate: moment(value).format('DD.MM.YYYY'),
        finishDate: moment(this.dateEnd).format('DD.MM.YYYY'),
      };

      this.$emit('input', JSON.stringify(dateStr));
    },
    dateEnd(value) {
      this.$v.dateEnd.$touch();
      const dateStr = {
        startDate: moment(this.dateBegin).format('DD.MM.YYYY'),
        finishDate: moment(value).format('DD.MM.YYYY'),
      };

      this.$emit('input', JSON.stringify(dateStr));
    },
  },
  // computed: {
  //   defaultDateBegin() {
  //     return this.dateBegin
  //       ? moment(this.dateBegin).format('YYYY-MM-DD')
  //       : moment().format('YYYY-MM');
  //   },
  //   defaultDateEnd() {
  //     return this.dateEnd
  //       ? moment(this.dateEnd).format('YYYY-MM-DD')
  //       : moment().format('YYYY-MM');
  //   },
  // },
};
</script>
